Skip to Content

Send a test webhook delivery

Queues a signed webhook.test event through the normal delivery and retry lifecycle.

POST
/v1/webhooks/{id}/test

Queues a signed webhook.test event through the normal delivery and retry lifecycle.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^wep_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
data?|null

Response Body

Success

application/json
  1. response
accepted*true
Value intrue
eventId*WebhookEventId
Match^whevt_[0-9a-hjkmnp-tv-z]{16,24}$
deliveryId*WebhookDeliveryId
Match^whdel_[0-9a-hjkmnp-tv-z]{16,24}$
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.webhooks.test({
  "id": "example"
});
Example Response
{
  "accepted": true,
  "eventId": "string",
  "deliveryId": "string"
}

Related documentation